<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:00 CET 2009 -->
<TITLE>
LeafNode
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.bitset.search.tree.LeafNode class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="LeafNode";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LeafNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/InterNode.html" title="class in ch.javasoft.bitset.search.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/bitset/search/tree/LeafNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LeafNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.bitset.search.tree</FONT>
<BR>
Class LeafNode</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.bitset.search.tree.LeafNode</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html" title="interface in ch.javasoft.bitset.search">SubSetSearch</A>, <A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html" title="interface in ch.javasoft.bitset.search">SuperSetSearch</A>, <A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.41"><B>LeafNode</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></DL>
</PRE>

<P>
The <code>LeafNode</code> contains exactly one bit set
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#set">set</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.bitset.search.tree.Node"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface ch.javasoft.bitset.search.tree.<A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#EMPTY">EMPTY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#LeafNode(ch.javasoft.bitset.IBitSet)">LeafNode</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#add(ch.javasoft.bitset.IBitSet, int)">add</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set,
       int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given set to the tree and returns the new root node of the tree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#findSubSet(ch.javasoft.bitset.IBitSet)">findSubSet</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds a subset of the specified set and returns it, if one is found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#findSubSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">findSubSet</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of,
                     <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;after)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds a subset of the specified set and returns it, if one is found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#findSuperSet(ch.javasoft.bitset.IBitSet)">findSuperSet</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds a superset of the specified set and returns it, if one is found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#findSuperSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">findSuperSet</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of,
                         <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;after)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds a superset of the specified set and returns it, if one is found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#inter()">inter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the intersection set, meaning the intersection of all sets
 contained in the subtree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#remove(ch.javasoft.bitset.IBitSet)">remove</A></B>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the specified set from the tree and returns the new root node of 
 the tree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#union()">union</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the union set, meaning the union of all sets contained in the 
 subtree.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="set"><!-- --></A><H3>
set</H3>
<PRE>
protected final <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.43"><B>set</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="LeafNode(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
LeafNode</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.45"><B>LeafNode</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="add(ch.javasoft.bitset.IBitSet, int)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.49"><B>add</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set,
                int&nbsp;bit)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#add(ch.javasoft.bitset.IBitSet, int)">Node</A></CODE></B></DD>
<DD>Adds the given set to the tree and returns the new root node of the tree.
 If the tree already contains the specified set, it is not added and 
 <code>null</code> is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#add(ch.javasoft.bitset.IBitSet, int)">add</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>set</CODE> - the set to add<DD><CODE>bit</CODE> - the bits to be used in the given order for left and right 
                                subtree separation
<DT><B>Returns:</B><DD>the new root node of the tree, or <code>null</code> if the set was 
                        already contained in the tree</DL>
</DD>
</DL>
<HR>

<A NAME="remove(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
remove</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.55"><B>remove</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#remove(ch.javasoft.bitset.IBitSet)">Node</A></CODE></B></DD>
<DD>Removes the specified set from the tree and returns the new root node of 
 the tree. If the tree did not contain the specified set, the tree is 
 not changed and <code>null</code> is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#remove(ch.javasoft.bitset.IBitSet)">remove</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>set</CODE> - the set to remove
<DT><B>Returns:</B><DD>the new root node of the tree, or <code>null</code> if the set was 
                        not contained in the tree</DL>
</DD>
</DL>
<HR>

<A NAME="findSubSet(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
findSubSet</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.58"><B>findSubSet</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet)">SubSetSearch</A></CODE></B></DD>
<DD>Finds a subset of the specified set and returns it, if one is found.
 If no subset is found, <code>null</code> is returned.
 <p>
 Another bitset is a subset of the specified set if it contains all its
 <code>true</code> bits and possibly additional ones.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet)">findSubSet</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html" title="interface in ch.javasoft.bitset.search">SubSetSearch</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - the set for which a subset is to be searched
<DT><B>Returns:</B><DD>the subset, if one is found, and <code>null</code> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="findSubSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
findSubSet</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.61"><B>findSubSet</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of,
                          <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;after)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">SubSetSearch</A></CODE></B></DD>
<DD>Finds a subset of the specified set and returns it, if one is found.
 If no subset is found, <code>null</code> is returned. Only sets occuring
 after the set <code>after</code> are considered, other sets are ignored. 
 <p>
 This method allows the enumeration of all subsets of a given set. The
 enumeration is started with <A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet)"><CODE>SubSetSearch.findSubSet(IBitSet)</CODE></A>. Then, the
 found set is passed to <A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)"><CODE>SubSetSearch.findSubSet(IBitSet, IBitSet)</CODE></A> as second
 parameter to retrieve the next set in the enumeration. A for-loop 
 statement looks as follows:
 <pre>
 IBitSet of=...
 SubSetSearch search = ...;
 for (IBitSet s=search.findSubSet(of);s!= null;s=search.findSubSet(of,s)) {
     ...
 }
 </pre>
 <p>
 Another bitset is a subset of the specified set if it contains all its
 <code>true</code> bits and possibly additional ones.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html#findSubSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">findSubSet</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SubSetSearch.html" title="interface in ch.javasoft.bitset.search">SubSetSearch</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - the set for which a subset is to be searched
<DT><B>Returns:</B><DD>the subset, if one is found, and <code>null</code> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="findSuperSet(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
findSuperSet</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.64"><B>findSuperSet</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet)">SuperSetSearch</A></CODE></B></DD>
<DD>Finds a superset of the specified set and returns it, if one is found.
 If no superset is found, <code>null</code> is returned.
 <p>
 Another bitset is a superset of the specified set if it contains all its
 <code>true</code> bits and possibly additional ones.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet)">findSuperSet</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html" title="interface in ch.javasoft.bitset.search">SuperSetSearch</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - the set for which a superset is to be searched
<DT><B>Returns:</B><DD>the superset, if one is found, and <code>null</code> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="findSuperSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
findSuperSet</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.67"><B>findSuperSet</B></A>(<A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of,
                            <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;after)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">SuperSetSearch</A></CODE></B></DD>
<DD>Finds a superset of the specified set and returns it, if one is found.
 If no superset is found, <code>null</code> is returned. Only sets occuring
 after the set <code>after</code> are considered, other sets are ignored. 
 <p>
 This method allows the enumeration of all supersets of a given set. The
 enumeration is started with <A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet)"><CODE>SuperSetSearch.findSuperSet(IBitSet)</CODE></A>. Then, the
 found set is passed to <A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)"><CODE>SuperSetSearch.findSuperSet(IBitSet, IBitSet)</CODE></A> as second
 parameter to retrieve the next set in the enumeration. A for-loop 
 statement looks as follows:
 <pre>
 IBitSet of=...
 SuperSetSearch search = ...;
 for (IBitSet s=search.findSuperSet(of);s!= null;s=search.findSuperSet(of,s)) {
     ...
 }
 </pre>
 <p>
 Another bitset is a superset of the specified set if it contains all its
 <code>true</code> bits and possibly additional ones.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html#findSuperSet(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">findSuperSet</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/SuperSetSearch.html" title="interface in ch.javasoft.bitset.search">SuperSetSearch</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - the set for which a superset is to be searched
<DT><B>Returns:</B><DD>the superset, if one is found, and <code>null</code> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="union()"><!-- --></A><H3>
union</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.70"><B>union</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#union()">Node</A></CODE></B></DD>
<DD>Returns the union set, meaning the union of all sets contained in the 
 subtree. A null value indicates that the tree is empty.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#union()">union</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="inter()"><!-- --></A><H3>
inter</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.73"><B>inter</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#inter()">Node</A></CODE></B></DD>
<DD>Returns the intersection set, meaning the intersection of all sets
 contained in the subtree. A null value indicates that the tree is empty.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html#inter()">inter</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../src-html/ch/javasoft/bitset/search/tree/LeafNode.html#line.77"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LeafNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/InterNode.html" title="class in ch.javasoft.bitset.search.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/bitset/search/tree/LeafNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LeafNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
